SpringBoardParserInternal::SubDocument Class Referencefinal

Internal: the subdocument of a SpringBoardParser. More...

Inheritance diagram for SpringBoardParserInternal::SubDocument:

## Public Member Functions

| SubDocument (SpringBoardParser &pars, MWAWInputStreamPtr const &input, int hfId)
| constructor knowning the header/footer id
| SubDocument (SpringBoardParser &pars, MWAWInputStreamPtr const &input, std::pair< int, int > const &pageId, std::pair< int, int > const &paras={-1, -1})
| constructor corresponding to a layout/textbox shape
| SubDocument (SpringBoardParser &pars, MWAWInputStreamPtr const &input, std::pair< int, int > const &linkId, bool isTop)
| constructor corresponding to a link shape
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes

int | m_hfId
| the header/footer zone id
std::pair< int, int > | m_linkId
| the text link id
bool | m_linkTop
| a flag to know if we need to send the top or the bottom text
std::pair< int, int > | m_pageId
| the text page id
int | m_minParagraph
| the minimum and maximum paragraph
int | m_maxParagraph
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Private Member Functions

| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a SpringBoardParser.

## Constructor & Destructor Documentation

## SubDocument() [1/4]

SpringBoardParserInternal::SubDocument::SubDocument | ( | SpringBoardParser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | int | hfId )

inline

constructor knowning the header/footer id

Referenced by operator!=(), operator=(), and SubDocument().

## SubDocument() [2/4]

SpringBoardParserInternal::SubDocument::SubDocument | ( | SpringBoardParser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | std::pair< int, int > const & | pageId,
|  | std::pair< int, int > const & | paras = {-1, -1} )

inline

constructor corresponding to a layout/textbox shape

## SubDocument() [3/4]

SpringBoardParserInternal::SubDocument::SubDocument | ( | SpringBoardParser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | std::pair< int, int > const & | linkId,
|  | bool | isTop )

inline

constructor corresponding to a link shape

## ~SubDocument()

SpringBoardParserInternal::SubDocument::~SubDocument | ( |  | ) |

inline final

destructor

## SubDocument() [4/4]

SpringBoardParserInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |

private delete

## Member Function Documentation

## operator!=()

bool SpringBoardParserInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const

inline final virtual

operator!=

Reimplemented from MWAWSubDocument.

## operator=()

SubDocument & SpringBoardParserInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |

private delete

## parse()

void SpringBoardParserInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )

final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## m_hfId

int SpringBoardParserInternal::SubDocument::m_hfId

protected

the header/footer zone id

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_linkId

std::pair<int, int> SpringBoardParserInternal::SubDocument::m_linkId

protected

the text link id

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_linkTop

bool SpringBoardParserInternal::SubDocument::m_linkTop

protected

a flag to know if we need to send the top or the bottom text

Referenced by operator!=(), parse(), and SubDocument().

## m_maxParagraph

int SpringBoardParserInternal::SubDocument::m_maxParagraph

protected

Referenced by operator!=(), and parse().

## m_minParagraph

int SpringBoardParserInternal::SubDocument::m_minParagraph

protected

the minimum and maximum paragraph

Referenced by operator!=(), and parse().

## m_pageId

std::pair<int, int> SpringBoardParserInternal::SubDocument::m_pageId

protected

the text page id

Referenced by operator!=(), parse(), and SubDocument().

The documentation for this class was generated from the following file:

- SpringBoardParser.cxx